Roba Memo - 素人のUnity覚書と奮闘記

素人のUnity覚書と奮闘記

Error: [Temp/StagingArea/AndroidManifest-main.xml:12,

Androidでビルドしようとしたら、下記のようなエラーが出た。

Error: [Temp/StagingArea/AndroidManifest-main.xml:12,
/プロジェクトのパス/Temp/StagingArea/android-libraries/GoogleMobileAdsPlugin/AndroidManifest.xml:2]
Main manifest has <uses-sdk android:minSdkVersion=‘9’> but library uses minSdkVersion=‘14’
UnityEditor.HostView:OnGUI()

これはAdMobのせい。
AdMobがminSdkVersionを14にしているので、ビルドするときはそれに合わせないといけない。
PlayerSettings - Other SettingsのminimumAPI Levelを合わせる。

f:id:nico-taniku:20170414080326p:plain:h300